VoterGuideOS

Get election by key

Returns a single election by key.

GET
/elections/{key}

Path Parameters

key*string

Election key.

Header Parameters

X-Organization-Id*string

The ID of the organization making the request.

Response Body

application/json

Election response.

TypeScript Definitions

Use the response body type in TypeScript.

curl -X GET "https://example.com/elections/string" \  -H "X-Organization-Id: org_123"
{
  "_id": "6a109422784dc82893dfc45b",
  "name": "2026 Georgia Primary Runoff",
  "key": "2026-georgia-primary-runoff",
  "status": "live",
  "active": true,
  "state": "5eac8e9f21ddc806d4f9aacf",
  "stateCode": "GA",
  "date": "2026-06-16T04:00:00.000Z",
  "year": 2026,
  "electionType": "primary-runoff",
  "primaryMode": "PRIMARY_MODE_BY_PARTY",
  "runoffMode": "RUNOFF_MODE_50_PERCENT_REQUIRED",
  "nonpartisanPrimaryMode": "NONPARTISAN_PRIMARY_MODE_DECIDED_IN_PRIMARY",
  "partisan": true,
  "uncontestedPrimariesAppearOnBallot": true,
  "runoffPrecedent": "2026-georgia-primary-election",
  "partiesPresent": [
    "D",
    "N",
    "R"
  ],
  "ballotOverview": [],
  "createdAt": "2026-05-22T17:36:34.844Z",
  "updatedAt": "2026-05-27T14:53:58.209Z",
  "earlyVotingEnd": "2026-06-12T04:00:00.000Z",
  "earlyVotingStart": "2026-06-08T04:00:00.000Z",
  "qualifyingDate": "2026-03-06T05:00:00.000Z",
  "voterRegistrationEnd": "2026-05-18T04:00:00.000Z",
  "publishDate": "2026-05-27T14:17:29.830Z",
  "absenteeEnd": "2026-06-05T04:00:00.000Z",
  "parties": [
    {
      "_id": "69ab528ea7e6cdab132a6f71",
      "key": "D",
      "name": "Democrat",
      "createdAt": "2026-03-06T22:17:50.164Z",
      "updatedAt": "2026-03-06T22:17:50.164Z"
    },
    {
      "_id": "69ab528ea7e6cdab132a6f76",
      "key": "N",
      "name": "Nonpartisan",
      "createdAt": "2026-03-06T22:17:50.164Z",
      "updatedAt": "2026-03-06T22:17:50.164Z"
    },
    {
      "_id": "69ab528ea7e6cdab132a6f72",
      "key": "R",
      "name": "Republican",
      "createdAt": "2026-03-06T22:17:50.164Z",
      "updatedAt": "2026-03-06T22:17:50.164Z"
    }
  ]
}